Bug 1071200 - CpuOverCommitDurationMinutes limited to a single digit value by regular expression in database scripts
Summary: CpuOverCommitDurationMinutes limited to a single digit value by regular expre...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.4
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.4.1
Assignee: Jiri Moskovcak
QA Contact: Pavel Stehlik
URL:
Whiteboard: sla
Depends On:
Blocks: 1070704
TreeView+ depends on / blocked
 
Reported: 2014-02-28 09:05 UTC by Jiri Moskovcak
Modified: 2015-02-01 22:56 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1070704
Environment:
Last Closed: 2014-05-08 13:37:40 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 25200 None MERGED engine: allow values higher than 9 minutes for CpuOverCommitDuration Never
oVirt gerrit 25417 None NEW engine: allow values higher than 9 minutes for CpuOverCommitDuration Never

Description Jiri Moskovcak 2014-02-28 09:05:36 UTC
+++ This bug was initially created as a clone of Bug #1070704 +++

Description of problem:
Can not set 'CpuOverCommitDurationMinutes' to a value higher than 9 neither through webadmin nor through the API.

Version-Release number of selected component (if applicable):
rhevm-dbscripts-3.3.0-0.46.el6ev

How reproducible:
Always

Steps to Reproduce:
1. Upgrade RHEV-M to 3.3.
2. Select a cluster running in compatibility version 3.3.
3. Edit --> Cluster Policy --> Select policy --> Evenly_Distributed
4. Try to set a value of 10 or higher for CpuOverCommitDurationMinutes and click OK.

Actual results:
Value field is flagged in red colour, can not commit desired value.

Expected results:
As per table 4.4 at https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html/Administration_Guide/Cluster_general_entities.html :

"Maximum two characters. "

Additional info:
After migration, trying to raise compatibility version of a cluster where CpuOverCommitDurationMinutes >= 10 to version 3.3 fails.

Comment 1 Itamar Heim 2014-03-02 05:42:25 UTC
Setting target release to current version for consideration and review. please
do not push non-RFE bugs to an undefined target release to make sure bugs are
reviewed for relevancy, fix, closure, etc.

Comment 2 Sandro Bonazzola 2014-03-04 09:29:25 UTC
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Comment 3 Sandro Bonazzola 2014-05-08 13:37:40 UTC
This is an automated message

oVirt 3.4.1 has been released:
 * should fix your issue
 * should be available at your local mirror within two days.

If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.